All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
DivC
Arithmetic Operations

Divides each sample of a signal by a constant. More...

## Functions

NppStatus | nppsDivC_8u_ISfs_Ctx (Npp8u nValue, Npp8u *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 8-bit unsigned char in place signal divided by constant, scale, then clamp to saturated value More...
NppStatus | nppsDivC_8u_ISfs (Npp8u nValue, Npp8u *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsDivC_8u_Sfs_Ctx (const Npp8u *pSrc, Npp8u nValue, Npp8u *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 8-bit unsigned char signal divided by constant, scale, then clamp to saturated value. More...
NppStatus | nppsDivC_8u_Sfs (const Npp8u *pSrc, Npp8u nValue, Npp8u *pDst, int nLength, int nScaleFactor)
NppStatus | nppsDivC_16u_ISfs_Ctx (Npp16u nValue, Npp16u *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit unsigned short in place signal divided by constant, scale, then clamp to saturated value. More...
NppStatus | nppsDivC_16u_ISfs (Npp16u nValue, Npp16u *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsDivC_16u_Sfs_Ctx (const Npp16u *pSrc, Npp16u nValue, Npp16u *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit unsigned short signal divided by constant, scale, then clamp to saturated value. More...
NppStatus | nppsDivC_16u_Sfs (const Npp16u *pSrc, Npp16u nValue, Npp16u *pDst, int nLength, int nScaleFactor)
NppStatus | nppsDivC_16s_ISfs_Ctx (Npp16s nValue, Npp16s *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short in place signal divided by constant, scale, then clamp to saturated value. More...
NppStatus | nppsDivC_16s_ISfs (Npp16s nValue, Npp16s *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsDivC_16s_Sfs_Ctx (const Npp16s *pSrc, Npp16s nValue, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short signal divided by constant, scale, then clamp to saturated value. More...
NppStatus | nppsDivC_16s_Sfs (const Npp16s *pSrc, Npp16s nValue, Npp16s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsDivC_16sc_ISfs_Ctx (Npp16sc nValue, Npp16sc *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit integer complex number (16 bit real, 16 bit imaginary)signal divided by constant, scale, then clamp to saturated value. More...
NppStatus | nppsDivC_16sc_ISfs (Npp16sc nValue, Npp16sc *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsDivC_16sc_Sfs_Ctx (const Npp16sc *pSrc, Npp16sc nValue, Npp16sc *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit integer complex number (16 bit real, 16 bit imaginary) signal divided by constant, scale, then clamp to saturated value. More...
NppStatus | nppsDivC_16sc_Sfs (const Npp16sc *pSrc, Npp16sc nValue, Npp16sc *pDst, int nLength, int nScaleFactor)
NppStatus | nppsDivC_32f_I_Ctx (Npp32f nValue, Npp32f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point in place signal divided by constant. More...
NppStatus | nppsDivC_32f_I (Npp32f nValue, Npp32f *pSrcDst, int nLength)
NppStatus | nppsDivC_32f_Ctx (const Npp32f *pSrc, Npp32f nValue, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal divided by constant. More...
NppStatus | nppsDivC_32f (const Npp32f *pSrc, Npp32f nValue, Npp32f *pDst, int nLength)
NppStatus | nppsDivC_32fc_I_Ctx (Npp32fc nValue, Npp32fc *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number (32 bit real, 32 bit imaginary) in place signal divided by constant. More...
NppStatus | nppsDivC_32fc_I (Npp32fc nValue, Npp32fc *pSrcDst, int nLength)
NppStatus | nppsDivC_32fc_Ctx (const Npp32fc *pSrc, Npp32fc nValue, Npp32fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number (32 bit real, 32 bit imaginary) signal divided by constant. More...
NppStatus | nppsDivC_32fc (const Npp32fc *pSrc, Npp32fc nValue, Npp32fc *pDst, int nLength)
NppStatus | nppsDivC_64f_I_Ctx (Npp64f nValue, Npp64f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point in place signal divided by constant. More...
NppStatus | nppsDivC_64f_I (Npp64f nValue, Npp64f *pSrcDst, int nLength)
NppStatus | nppsDivC_64f_Ctx (const Npp64f *pSrc, Npp64f nValue, Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point signal divided by constant. More...
NppStatus | nppsDivC_64f (const Npp64f *pSrc, Npp64f nValue, Npp64f *pDst, int nLength)
NppStatus | nppsDivC_64fc_I_Ctx (Npp64fc nValue, Npp64fc *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number (64 bit real, 64 bit imaginary) in place signal divided by constant. More...
NppStatus | nppsDivC_64fc_I (Npp64fc nValue, Npp64fc *pSrcDst, int nLength)
NppStatus | nppsDivC_64fc_Ctx (const Npp64fc *pSrc, Npp64fc nValue, Npp64fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number (64 bit real, 64 bit imaginary) signal divided by constant. More...
NppStatus | nppsDivC_64fc (const Npp64fc *pSrc, Npp64fc nValue, Npp64fc *pDst, int nLength)

## Detailed Description

Divides each sample of a signal by a constant.

## Function Documentation

NppStatus nppsDivC_16s_ISfs | ( | Npp16s | nValue,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsDivC_16s_ISfs_Ctx | ( | Npp16s | nValue,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short in place signal divided by constant, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided into each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_16s_Sfs | ( | const Npp16s * | pSrc,
|  | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsDivC_16s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal divided by constant, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided into each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_16sc_ISfs | ( | Npp16sc | nValue,
|  | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsDivC_16sc_ISfs_Ctx | ( | Npp16sc | nValue,
|  | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer complex number (16 bit real, 16 bit imaginary)signal divided by constant, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided into each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_16sc_Sfs | ( | const Npp16sc * | pSrc,
|  | Npp16sc | nValue,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsDivC_16sc_Sfs_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc | nValue,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer complex number (16 bit real, 16 bit imaginary) signal divided by constant, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided into each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_16u_ISfs | ( | Npp16u | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsDivC_16u_ISfs_Ctx | ( | Npp16u | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short in place signal divided by constant, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided into each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_16u_Sfs | ( | const Npp16u * | pSrc,
|  | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsDivC_16u_Sfs_Ctx | ( | const Npp16u * | pSrc,
|  | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short signal divided by constant, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided into each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_32f | ( | const Npp32f * | pSrc,
|  | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivC_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal divided by constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided into each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_32f_I | ( | Npp32f | nValue,
|  | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivC_32f_I_Ctx | ( | Npp32f | nValue,
|  | Npp32f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point in place signal divided by constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided into each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc | nValue,
|  | Npp32fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivC_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc | nValue,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number (32 bit real, 32 bit imaginary) signal divided by constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided into each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_32fc_I | ( | Npp32fc | nValue,
|  | Npp32fc * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivC_32fc_I_Ctx | ( | Npp32fc | nValue,
|  | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number (32 bit real, 32 bit imaginary) in place signal divided by constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided into each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_64f | ( | const Npp64f * | pSrc,
|  | Npp64f | nValue,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivC_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f | nValue,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point signal divided by constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided into each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_64f_I | ( | Npp64f | nValue,
|  | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivC_64f_I_Ctx | ( | Npp64f | nValue,
|  | Npp64f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point in place signal divided by constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided into each vector element
  nLength | Length of the vectors, number of items.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc | nValue,
|  | Npp64fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivC_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc | nValue,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number (64 bit real, 64 bit imaginary) signal divided by constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided into each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_64fc_I | ( | Npp64fc | nValue,
|  | Npp64fc * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsDivC_64fc_I_Ctx | ( | Npp64fc | nValue,
|  | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number (64 bit real, 64 bit imaginary) in place signal divided by constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided into each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_8u_ISfs | ( | Npp8u | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsDivC_8u_ISfs_Ctx | ( | Npp8u | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char in place signal divided by constant, scale, then clamp to saturated value

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be divided into each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsDivC_8u_Sfs | ( | const Npp8u * | pSrc,
|  | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsDivC_8u_Sfs_Ctx | ( | const Npp8u * | pSrc,
|  | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char signal divided by constant, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be divided into each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation